[asterisk-scf-commits] asterisk-scf/release/cmake.git branch "master" updated.
Commits to the Asterisk SCF project code repositories
asterisk-scf-commits at lists.digium.com
Mon Sep 13 22:47:03 CDT 2010
branch "master" has been updated
via 6fea9c4ced66f0dcac70076b7f63d1f429fa2a7d (commit)
from 4291d3e908c3c5907e56eb3e52aeeac30bfe4a10 (commit)
Summary of changes:
init-cmake.sh | 16 ++++++++++++++++
1 files changed, 16 insertions(+), 0 deletions(-)
create mode 100755 init-cmake.sh
- Log -----------------------------------------------------------------
commit 6fea9c4ced66f0dcac70076b7f63d1f429fa2a7d
Author: David M. Lee <dlee at digium.com>
Date: Mon Sep 13 22:39:48 2010 -0500
Adding init-cmake.sh
diff --git a/init-cmake.sh b/init-cmake.sh
new file mode 100755
index 0000000..8319c41
--- /dev/null
+++ b/init-cmake.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+#
+# Helpful initialization script for cmake
+#
+
+if ! test -f CMakeLists.txt; then
+ echo "CMakeLists.txt missing. Must be run from a CMake build directory." >&2
+ exit 1
+fi
+
+mkdir -p build
+cd build
+
+# -Wdev: Enable developer warnings.
+cmake -Wdev .. "$@"
-----------------------------------------------------------------------
--
asterisk-scf/release/cmake.git
More information about the asterisk-scf-commits
mailing list